Subject: [tcpm] Preparation of shepherd write-up for draft-ietf-tcpm-2140bis-06

From: "Scharf, Michael" <[email-masked]>
Date: Mon, 28 Dec 2020 13:50:45 +0000

Authors,

I am preparing the shepherd write-up for draft-ietf-tcpm-2140bis. In addition to a small id-nit issue (which I have shared offlist already), I run into three issues in draft-ietf-tcpm-2140bis-06 during preparation of the write-up:

First, the table in Section 10 has the headline "CURRENT IMPLEMENTATION STATUS (as of 2016)". Given that the data is already a bit dated, I wonder whether it would be possible to update this table?

Otherwise, may be the word "current" should be removed? If no more recent data can be gathered, I can write that in the shepherd write-up. Yet, others could run into the date 2016 during IETF last call...

Second, Section 7.3 states:

  "It is also possible to
   use sharing mechanisms over long timescales to adapt TCP's initial
   window automatically, as described further in Appendix A."

I assume this refers to Appendix C? Given that I have to comment on appendix C in my write-up, I would like to ensure that this reference is correct in the document.

Third, Section 2 states:

  "However, this document is intended to describe behavior that is
   already permitted by TCP standards. As a result, it provides
   informative guidance but does not use such normative language,
   except when quoting other documents."

The last sentence may not be correct given that appendix C uses capital letter MUSTs. Note that TCPM has published informational documents with RFC2119/RFC8174 in the past already (e.g., RFC 8312), i.e., use of capital letter words in informational descriptions of algorithms is not something new. Nonetheless, the document 2140bis should at least be internally consistent.

Best regards

Michael

---

From: Joseph Touch <[email-masked]>
Date: Mon, 28 Dec 2020 10:12:43 -0800

All items are addressed.

If my coauthors would like to recheck the 2016 table, we can update the doc to refer to “at the time of publication” rather than 2016.

The -07 update will be reposted in a few minutes.

Joe

> On Dec 28, 2020, at 5:50 AM, Scharf, Michael <[email-masked]> wrote:
> 
> Authors,
> 
> _______________________________________________
> tcpm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tcpm

---

From: Michael Welzl <[email-masked]>
Date: Mon, 28 Dec 2020 20:30:16 +0100

> On Dec 28, 2020, at 7:12 PM, Joseph Touch <[email-masked]> wrote:
> 
> All items are addressed.
> 

ACK.

> The -07 update will be reposted in a few minutes.

Thanks a lot for this update Joe!

Cheers,
Michael